RCCE(3)

NAME
RCCE_wait_until - blocks until the status of flag matches the input parameter (GORY)

SYNOPSIS
#include <rcce.h>

int RCCE_wait_until(RCCE_FLAG * flag,RCCE_FLAG_STATUS ,status);

DESCRIPTION
RCCE_flag_wait_until() blocks until the status of flag matches the input parameter.

flag
    Opaque data type representing a flag in MPB memory.

status
    Status value that must be matched by the status field of the synchronization flag. Possible values are RCCE_FLAG_SET and RCCE_FLAG_UNSET. All flags have status RCCE_FLAG_UNSET at program start.

RETURN VALUE
Upon successful completion RCCE_flag_write() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE

To be supplied.